Javascript error in wd.template when language is set to French
Closed, ResolvedPublic

Description

When loading an item page with language set to French (fr), the loading animation stop and, after a few seconds, the list of sitelinks is showed without edit links.
This issue is caused by a JavaScript exception:
Error: mw.template: Tried to generate invalid HTML for template "wb-aliases-wrapper"

This append on this item: https://www.wikidata.org/wiki/Q752582 but not on this one https://www.wikidata.org/wiki/Q1
This is maybe because this first one has no aliases and the second one has one.

I have also reproduce this bug on my local installation with the trunk of the last Sunday (9th december).


Version: unspecified
Severity: normal

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz42956.
Tpt created this task.Via LegacyDec 11 2012, 6:23 PM
Tpt added a comment.Via ConduitDec 11 2012, 6:27 PM

Sorry, I have forgotten to say that this issue append with Firefox 17.0.1 but not with Chrome 24.

jeblad added a comment.Via ConduitDec 12 2012, 10:25 AM

Could be a coincidence that this happens to French (fr). It was a problem with s3 as it got a severe replication lag, it could be a timeout due to that.

Going to close this as "worksforme" unless someone finds another item with a similar problem.

Abraham added a comment.Via ConduitDec 12 2012, 4:28 PM

Verified in Wikidata demo sprint 26

daniel added a comment.Via ConduitDec 12 2012, 5:21 PM

My guess is that it was just an overloaded web cache server. Loading JS resources in french (and probably selected other languages) timed out.

Qgil added a comment.Via ConduitDec 13 2012, 12:14 AM

(In reply to comment #2)

Going to close this as "worksforme" unless someone finds another item with a
similar problem.

WORKSFORME, then.

jeblad added a comment.Via ConduitDec 13 2012, 1:22 AM

The issue was real, but it got fixed before I checked the bug and it didn't had any link to gerrit.

AnjaJentzsch added a comment.Via ConduitDec 13 2012, 4:35 PM

Change

AnjaJentzsch added a comment.Via ConduitDec 13 2012, 4:41 PM

Change I641725a2: (bug 42956) Parsing strings passed to template engine.
Change merged.

Ayack added a comment.Via ConduitDec 13 2012, 9:12 PM

Sorry, but the bug is still here. See http://www.wikidata.org/wiki/Q869857 for example when connected in French with Firefox 17.0.1.

Abraham added a comment.Via ConduitDec 13 2012, 9:19 PM

It was verified on our test and dev system: http://wikidata-test.wikimedia.de/
Fix will be available on wikidata.org with next deployment.

Lydia_Pintscher added a comment.Via ConduitDec 17 2012, 6:32 PM

Is it possible to backport and deploy this before the next regular deployment? It makes Wikidata in French unusable and people are asking for a quicker fix than next year.

Lydia_Pintscher added a comment.Via ConduitDec 19 2012, 9:59 AM

Update: The fix has been deployed on wikidata.org last night.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.